Skip to content

/api/v1/products/bulk

POST
/api/v1/products/bulk
curl --request POST \
--url https://example.com/api/v1/products/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "products": [ { "sku": "example", "name": "example", "description": "example", "category": "example", "trackLots": true, "trackSerials": true, "trackExpiry": true, "shelfLifeDays": 1, "rotationStrategy": "Fifo", "velocityClass": "A", "weightUnit": "Kg", "lengthUnit": "Cm", "unitsOfMeasure": [ { "code": "example", "name": "example", "quantityOfLevelBelow": 1, "weight": 1, "length": 1, "width": 1, "height": 1, "barcodes": [ { "value": "example", "type": "Gtin" } ] } ] } ] }'
object
products
Array<object>
nullable
object
sku
string
name
string
description
string
nullable
category
string
nullable
trackLots
boolean
trackSerials
boolean
trackExpiry
boolean
shelfLifeDays
integer format: int32
nullable
rotationStrategy
string
nullable
Allowed values: Fifo Lifo Fefo
velocityClass
string
nullable
Allowed values: A B C
weightUnit
string
nullable
Allowed values: Kg G Lb Oz
lengthUnit
string
nullable
Allowed values: Cm Mm M In
unitsOfMeasure
Array<object>
nullable
object
code
string
name
string
quantityOfLevelBelow
integer format: int32
nullable
weight
number format: double
nullable
length
number format: double
nullable
width
number format: double
nullable
height
number format: double
nullable
barcodes
Array<object>
nullable
object
value
string
type
string
nullable
Allowed values: Gtin Other

OK

object
created
required
integer format: int32
updated
required
integer format: int32
unchanged
required
integer format: int32
items
required
Array<object>
object
sku
required
string
id
required
string format: uuid
result
required
string
Allowed values: created updated unchanged

Bad Request

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable

Conflict

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable